Summary:        Java lib for conversion of Java objects into JSON representation
Name:           google-gson
Version:        2.9.0
Release:        5%{?dist}
License:        ASL 2.0
URL:            https://github.com/google/gson
Source0:        https://github.com/google/gson/archive/gson-parent-%{version}.tar.gz

Patch3000:      0002-Also-export-internal-packages-in-OSGi-metadata.patch
Patch3001:      0004-This-commit-added-a-dependency-on-templating-maven-p.patch

BuildArch:      noarch

BuildRequires: bnd-maven-plugin maven-resources-plugin mvn(com.fasterxml.jackson.core:jackson-databind)
BuildRequires: maven-local mvn(junit:junit) mvn(org.apache.felix:maven-bundle-plugin) mvn(org.apache.maven.plugins:maven-jar-plugin)

%description
Gson is a Java library that can be used to convert a Java object into its
JSON representation. It can also be used to convert a JSON string into an
equivalent Java object. Gson can work with arbitrary Java objects including
pre-existing objects that you do not have source-code of.

%package javadoc
Summary:        API documentation for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%autosetup -p1 -n gson-gson-parent-%{version}

rm ./gson/src/test/java/com/google/gson/functional/EnumWithObfuscatedTest.java
rm ./gson/src/test/java/com/google/gson/internal/bind/DefaultDateTypeAdapterTest.java
%pom_remove_parent
%pom_remove_plugin :copy-rename-maven-plugin gson
%pom_remove_plugin :proguard-maven-plugin gson
%pom_remove_plugin  :moditect-maven-plugin gson

%pom_disable_module metrics

%pom_disable_module proto

%build
%mvn_build -j

%install
%mvn_install

%files -f .mfiles
%license LICENSE
%doc README.md CHANGELOG.md UserGuide.md


%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.9.0-5
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.9.0-4
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.9.0-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.9.0-2
- Rebuilt for OpenCloudOS Stream 23.05

* Wed Apr 26 2023 cunshunxia <cunshunxia@tencent.com> - 2.9.0-1
- initial build
